> For the complete documentation index, see [llms.txt](https://docs.zwapgrid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zwapgrid.com/changelog/august-2025/readme-1.md).

# 2025-08-19

## Systems

<table><thead><tr><th width="339">System</th><th>Functionality</th></tr></thead><tbody><tr><td>All systems</td><td><ul><li><p>[<mark style="color:green;"><strong>New</strong></mark>] Added a new status for fetching draft invoices using <a href="https://apidocs.zwapgrid.com/accounting-api#tag/sales-invoices/GET/api/v1/consents/{consentId}/salesinvoices">GET /salesinvoices</a>.</p><ul><li>Accessible by passing status = draft</li></ul></li></ul></td></tr><tr><td>Billy</td><td><ul><li>[<mark style="color:blue;"><strong>Improved</strong></mark>] Added mapping for <code>LegalMonetaryTotal.TaxExclusiveAmount</code> in <a href="https://apidocs.zwapgrid.com/accounting-api#tag/sales-invoices/GET/api/v1/consents/{consentId}/salesinvoices">GET /salesinvoices</a> response</li><li>[<mark style="color:blue;"><strong>Improved</strong></mark>] Standardized <code>LegalMonetaryTotal.TaxExclusiveAmount</code> for credit invoices to be alligned with other systems</li></ul></td></tr><tr><td>Bjorn Lunden</td><td><ul><li>[<mark style="color:orange;"><strong>Fixed</strong></mark>] Resolved an issue where <a href="https://apidocs.zwapgrid.com/accounting-api#tag/sales-invoices/GET/api/v1/consents/{consentId}/salesinvoices">GET /salesinvoices</a> requests would sometimes fail when the customer was not properly setup in Bjorn Lunden</li></ul></td></tr><tr><td>Fortnox</td><td><ul><li><p>[<mark style="color:blue;"><strong>Improved</strong></mark>] Improved response when using <a href="https://apidocs.zwapgrid.com/accounting-api#tag/journals/POST/api/v1/consents/{consentId}/journals">POST /journals</a> to give a proper response when using other currencies than SEK.</p><ul><li>IF currency is <code>NOT SEK AND NOT null</code>, return error 400 with the message <code>"Currency conversion not available. Only SEK is supported."</code></li></ul></li><li>[<mark style="color:blue;"><strong>Improved</strong></mark>] Handling of posting attachments using <a href="https://apidocs.zwapgrid.com/accounting-api#tag/journals---attachments/POST/api/v1/consents/{consentId}/journals/{journalId}/attachments">POST journals/:id/attachments</a></li></ul></td></tr><tr><td>Visma eAccounting</td><td><ul><li>[<mark style="color:orange;"><strong>Fixed</strong></mark>] Resolved issue when using<a href="https://apidocs.zwapgrid.com/accounting-api#tag/supplier-invoices---attachments/POST/api/v1/consents/{consentId}/supplierinvoices/{supplierInvoiceId}/attachments"> POST /supplierinvoices/:id/attachments</a></li></ul></td></tr></tbody></table>

## Platform

<table><thead><tr><th width="339">System</th><th>Functionality</th></tr></thead><tbody><tr><td>General platform improvements</td><td><ul><li>Security updates</li></ul></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zwapgrid.com/changelog/august-2025/readme-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
